[
    {
        "Id": "c338f607b2735e71a2afa97a749a3ebfd97557c7457a5d7c4547eed44af86e8d",
        "Created": "2025-08-04T19:37:20.366409567Z",
        "Path": "python3",
        "Args": [
            "-u",
            "detect.py",
            "-c",
            "/config/config.yaml"
        ],
        "State": {
            "Status": "restarting",
            "Running": true,
            "Paused": false,
            "Restarting": true,
            "OOMKilled": false,
            "Dead": false,
            "Pid": 0,
            "ExitCode": 1,
            "Error": "",
            "StartedAt": "2025-08-24T15:27:44.576198435Z",
            "FinishedAt": "2025-08-24T15:27:45.803972206Z"
        },
        "Image": "sha256:1cd12359962dbfa9285667c153c85dd9b4f98876d60efd3669c4a949f2b555d3",
        "ResolvConfPath": "/var/lib/docker/containers/c338f607b2735e71a2afa97a749a3ebfd97557c7457a5d7c4547eed44af86e8d/resolv.conf",
        "HostnamePath": "/var/lib/docker/containers/c338f607b2735e71a2afa97a749a3ebfd97557c7457a5d7c4547eed44af86e8d/hostname",
        "HostsPath": "/var/lib/docker/containers/c338f607b2735e71a2afa97a749a3ebfd97557c7457a5d7c4547eed44af86e8d/hosts",
        "LogPath": "/var/lib/docker/containers/c338f607b2735e71a2afa97a749a3ebfd97557c7457a5d7c4547eed44af86e8d/c338f607b2735e71a2afa97a749a3ebfd97557c7457a5d7c4547eed44af86e8d-json.log",
        "Name": "/openwakeword",
        "RestartCount": 3098,
        "Driver": "overlay2",
        "Platform": "linux",
        "MountLabel": "",
        "ProcessLabel": "",
        "AppArmorProfile": "docker-default",
        "ExecIDs": null,
        "HostConfig": {
            "Binds": null,
            "ContainerIDFile": "",
            "LogConfig": {
                "Type": "json-file",
                "Config": {}
            },
            "NetworkMode": "host",
            "PortBindings": {},
            "RestartPolicy": {
                "Name": "unless-stopped",
                "MaximumRetryCount": 0
            },
            "AutoRemove": false,
            "VolumeDriver": "",
            "VolumesFrom": null,
            "ConsoleSize": [
                0,
                0
            ],
            "CapAdd": null,
            "CapDrop": null,
            "CgroupnsMode": "private",
            "Dns": [],
            "DnsOptions": [],
            "DnsSearch": [],
            "ExtraHosts": null,
            "GroupAdd": null,
            "IpcMode": "private",
            "Cgroup": "",
            "Links": null,
            "OomScoreAdj": 0,
            "PidMode": "",
            "Privileged": false,
            "PublishAllPorts": false,
            "ReadonlyRootfs": false,
            "SecurityOpt": null,
            "UTSMode": "",
            "UsernsMode": "",
            "ShmSize": 67108864,
            "Runtime": "runc",
            "Isolation": "",
            "CpuShares": 0,
            "Memory": 0,
            "NanoCpus": 0,
            "CgroupParent": "",
            "BlkioWeight": 0,
            "BlkioWeightDevice": [],
            "BlkioDeviceReadBps": [],
            "BlkioDeviceWriteBps": [],
            "BlkioDeviceReadIOps": [],
            "BlkioDeviceWriteIOps": [],
            "CpuPeriod": 0,
            "CpuQuota": 0,
            "CpuRealtimePeriod": 0,
            "CpuRealtimeRuntime": 0,
            "CpusetCpus": "",
            "CpusetMems": "",
            "Devices": [],
            "DeviceCgroupRules": null,
            "DeviceRequests": null,
            "MemoryReservation": 0,
            "MemorySwap": 0,
            "MemorySwappiness": null,
            "OomKillDisable": null,
            "PidsLimit": null,
            "Ulimits": [],
            "CpuCount": 0,
            "CpuPercent": 0,
            "IOMaximumIOps": 0,
            "IOMaximumBandwidth": 0,
            "MaskedPaths": [
                "/proc/asound",
                "/proc/acpi",
                "/proc/interrupts",
                "/proc/kcore",
                "/proc/keys",
                "/proc/latency_stats",
                "/proc/timer_list",
                "/proc/timer_stats",
                "/proc/sched_debug",
                "/proc/scsi",
                "/sys/firmware",
                "/sys/devices/virtual/powercap",
                "/sys/devices/system/cpu/cpu0/thermal_throttle",
                "/sys/devices/system/cpu/cpu1/thermal_throttle",
                "/sys/devices/system/cpu/cpu2/thermal_throttle",
                "/sys/devices/system/cpu/cpu3/thermal_throttle"
            ],
            "ReadonlyPaths": [
                "/proc/bus",
                "/proc/fs",
                "/proc/irq",
                "/proc/sys",
                "/proc/sysrq-trigger"
            ]
        },
        "GraphDriver": {
            "Data": {
                "ID": "c338f607b2735e71a2afa97a749a3ebfd97557c7457a5d7c4547eed44af86e8d",
                "LowerDir": "/var/lib/docker/overlay2/aefe4137a7370259199c1a0ebce9c81d0e6dee1ff097d7f70df4a4074b118b6d-init/diff:/var/lib/docker/overlay2/e250f5ed71a6eeb118856b72e04526ee31a817497ebfa84566f09a01e27553e9/diff:/var/lib/docker/overlay2/c6fc8ecdc8e45076c4781849f47bc81f84665bca24071a75717fbc994e7a2630/diff:/var/lib/docker/overlay2/f383b175dbdec0ebebbf1ba7c966242864a9fba4e60a23078a72767e390f710a/diff:/var/lib/docker/overlay2/632ffcb183ef031feff99f1d23af641c6e6293a8b904b0f348b9103e03729017/diff:/var/lib/docker/overlay2/76aaea0718c919ebde88a897cb5516e918bb914af3524d3288d143713d33ed7a/diff:/var/lib/docker/overlay2/6d71e91ced5c89534020e2d17a2941ee52f4125842cbc2dc6950eb7a75c55d99/diff:/var/lib/docker/overlay2/726b902599159c2e3ec13220a8dd22b06ca5e51eb9afd74752d70fa28cc8bf26/diff:/var/lib/docker/overlay2/d22bd8f426855e4e79ba64b2b8fffcd650b3788e10fa08080e55c18221717142/diff:/var/lib/docker/overlay2/fcc2da5563f36629f66f45ec638e558c35364f25ffbdfba4644e376cd40b0b72/diff:/var/lib/docker/overlay2/5d73a5cfd9f877a205dab6fd992deddbe8f9a3d0614a4ddc5c1c394c84d6eea1/diff",
                "MergedDir": "/var/lib/docker/overlay2/aefe4137a7370259199c1a0ebce9c81d0e6dee1ff097d7f70df4a4074b118b6d/merged",
                "UpperDir": "/var/lib/docker/overlay2/aefe4137a7370259199c1a0ebce9c81d0e6dee1ff097d7f70df4a4074b118b6d/diff",
                "WorkDir": "/var/lib/docker/overlay2/aefe4137a7370259199c1a0ebce9c81d0e6dee1ff097d7f70df4a4074b118b6d/work"
            },
            "Name": "overlay2"
        },
        "Mounts": [],
        "Config": {
            "Hostname": "lenovo420",
            "Domainname": "",
            "User": "",
            "AttachStdin": false,
            "AttachStdout": false,
            "AttachStderr": false,
            "Tty": false,
            "OpenStdin": false,
            "StdinOnce": false,
            "Env": [
                "PATH=/usr/local/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin",
                "LANG=C.UTF-8",
                "GPG_KEY=A035C8C19219BA821ECEA86B64E628F8D684696D",
                "PYTHON_VERSION=3.10.11",
                "PYTHON_PIP_VERSION=23.0.1",
                "PYTHON_SETUPTOOLS_VERSION=65.5.1",
                "PYTHON_GET_PIP_URL=https://github.com/pypa/get-pip/raw/d5cb0afaf23b8520f1bbcfed521017b4a95f5c01/public/get-pip.py",
                "PYTHON_GET_PIP_SHA256=394be00f13fa1b9aaa47e911bdb59a09c3b2986472130f30aa0bfaf7f3980637"
            ],
            "Cmd": [
                "python3",
                "-u",
                "detect.py",
                "-c",
                "/config/config.yaml"
            ],
            "Image": "dalehumby/openwakeword-rhasspy",
            "Volumes": null,
            "WorkingDir": "/app",
            "Entrypoint": null,
            "OnBuild": null,
            "Labels": {}
        },
        "NetworkSettings": {
            "Bridge": "",
            "SandboxID": "",
            "SandboxKey": "",
            "Ports": {},
            "HairpinMode": false,
            "LinkLocalIPv6Address": "",
            "LinkLocalIPv6PrefixLen": 0,
            "SecondaryIPAddresses": null,
            "SecondaryIPv6Addresses": null,
            "EndpointID": "",
            "Gateway": "",
            "GlobalIPv6Address": "",
            "GlobalIPv6PrefixLen": 0,
            "IPAddress": "",
            "IPPrefixLen": 0,
            "IPv6Gateway": "",
            "MacAddress": "",
            "Networks": {
                "host": {
                    "IPAMConfig": null,
                    "Links": null,
                    "Aliases": null,
                    "MacAddress": "",
                    "DriverOpts": null,
                    "GwPriority": 0,
                    "NetworkID": "08ebc182bcd26d16f640bea058d92397c57ceadd844fef2a6a1e5d4024b4d92d",
                    "EndpointID": "",
                    "Gateway": "",
                    "IPAddress": "",
                    "IPPrefixLen": 0,
                    "IPv6Gateway": "",
                    "GlobalIPv6Address": "",
                    "GlobalIPv6PrefixLen": 0,
                    "DNSNames": null
                }
            }
        }
    }
]
